function setfigP(varargin)
% This script sets all property values of the selected axes to 
% optimal values for papers and (small) prints.

% written by Florian 05/08/04
% edited by Peter 2012 spring
% optional input: axes handle
if nargin==0
    h=gca;
elseif nargin>0
    h=varargin{1};
end
set(h,'fontname','arial');
set(h,'fontsize',18);
% set(h,'fontweight','bold');
set(h,'gridlinestyle','--');
set(h,'linewidth',3);
set(get(h,'xlabel'),'fontsize',16)
set(get(h,'ylabel'),'fontsize',16)
set(get(h,'title'),'fontsize',16)
if isempty(get(h,'children'))==0
    if iscell(get(h,'children'))==1
        set(cell2mat(get(h,'children')),'linewidth',3);
    else set(get(h,'children'),'linewidth',3);
    end
end
if isempty(findobj(gcf,'Type','axes','Tag','legend'))==0
    set(findobj(gcf,'Type','axes','Tag','legend'),'fontsize',16)
end
end

